| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

scalar_multiplication.hpp File Reference

GTX Extensions (Experimental) More...

Go to the source code of this file.

## Detailed Description

GTX Extensions (Experimental)

Author
  Joshua Moerman

Enables scalar multiplication for all types

Since GLSL is very strict about types, the following (often used) combinations do not work: double * vec4 int * vec4 vec4 / int So we'll fix that! Of course "float * vec4" should remain the same (hence the enable_if magic)

Definition in file scalar_multiplication.hpp.